<h2>Unos obroka</h2>
<form (ngSubmit)="addMeal()" #mealForm="ngForm">
  <label for="date">Datum:</label>
  <input type="date" id="date" name="date" [(ngModel)]="meal.date" required>
  <br>
  <label for="mealType">Tip obroka:</label>
  <select id="mealType" name="mealType" [(ngModel)]="meal.mealType" required>
    <option value="breakfast">Doručak</option>
    <option value="snack">Užina</option>
    <option value="lunch">Ručak</option>
    <option value="dinner">Večera</option>
  </select>
  <br>
  <label for="recipeId">Recept:</label>
  <select id="recipeId" name="recipeId" [(ngModel)]="meal.recipeId" required>
    <option *ngFor="let recipe of recipes" [value]="recipe._id">{{ recipe.name }}</option>
  </select>
  <br>
  <button type="submit" [disabled]="mealForm.invalid">Dodaj obrok</button>
</form>
